let bg = chrome.extension.getBackgroundPage();

// Saves options to chrome.storage
function save_options() {
	let title_format = document.getElementById(bg.TITLE_FORMAT).value;
	let note_format = document.getElementById(bg.NOTE_FORMAT).value;
	let title_format_with_selection = document.getElementById(bg.TITLE_FORMAT_WITH_SELECTION).value;
	let note_format_with_selection = document.getElementById(bg.NOTE_FORMAT_WITH_SELECTION).value;

	chrome.storage.sync.set({
		[bg.TITLE_FORMAT]: title_format,
		[bg.NOTE_FORMAT]: note_format,
		[bg.TITLE_FORMAT_WITH_SELECTION]: title_format_with_selection,
		[bg.NOTE_FORMAT_WITH_SELECTION]: note_format_with_selection,
	}, function () {
		// Update status to let user know options were saved.
		let status = document.getElementById('status');
		status.style.display = 'inline';

		setTimeout(function () {
			status.style.display = 'none';
		}, 1000);
	});
}

// Restores the preferences stored in chrome.storage.
function restore_options() {
	// Use empty string as default value
	chrome.storage.sync.get({
		[bg.TITLE_FORMAT]: '%title%',
		[bg.NOTE_FORMAT]: '%url%',
		[bg.TITLE_FORMAT_WITH_SELECTION]: '%selected%',
		[bg.NOTE_FORMAT_WITH_SELECTION]: 'From [%title%](%url%)',
	}, function (items) {
		document.getElementById(bg.TITLE_FORMAT).value = items[bg.TITLE_FORMAT];
		document.getElementById(bg.NOTE_FORMAT).value = items[bg.NOTE_FORMAT];
		document.getElementById(bg.TITLE_FORMAT_WITH_SELECTION).value = items[bg.TITLE_FORMAT_WITH_SELECTION];
		document.getElementById(bg.NOTE_FORMAT_WITH_SELECTION).value = items[bg.NOTE_FORMAT_WITH_SELECTION];
	});
}

document.addEventListener('DOMContentLoaded', restore_options);
document.getElementById('save').addEventListener('click', save_options);
